%global modname typed_ast

Summary:            A fork of the ast module with type annotations
Name:               python3-%{modname}
Version:            1.5.5
Release:            2%{?dist}
License:            ASL 2.0
URL:                https://github.com/python/typed_ast
Source0:            %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildRequires:      gcc
BuildRequires:      python3-devel python3-setuptools python3-pytest

%description
%summary. This package is based on the ast modules from Python 2 and 3,
and has been extended with support for type comments and type annotations
as supported in Python 3.6.

%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest

%files
%license LICENSE
%doc *.md
%{python3_sitearch}/%{modname}/
%{python3_sitearch}/%{modname}-*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-2
- Rebuilt for python 3.11

* Mon Sep 11 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.5.5-1
- Upgrade to upstream version 1.5.5

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 08 2022 cunshunxia <cunshunxia@tencent.com> - 1.5.2-1
- initial build
